<?php
include_once '../sys/inc/start.php';
include_once '../sys/inc/compress.php';
include_once '../sys/inc/sess.php';
include_once '../sys/inc/home.php';
include_once '../sys/inc/settings.php';
include_once '../sys/inc/db_connect.php';
include_once '../sys/inc/ipua.php';
include_once '../sys/inc/fnc.php';
include_once '../sys/inc/user.php';
$set['title']= 'Подарки';
include_once '../sys/inc/thead.php';
title();
aut();
only_reg();

          $id = intval($_GET['id']);

          $pod = mysql_fetch_array(mysql_query("select * from `pod_in` WHERE `id` = '".$id."'"));

        echo '<div class="busi">';

        echo '<img src="img.png" alt="."/> Удалить подарок<br/>';

        echo '</div>';
		
		echo '<div class="p_m">';
		
		
		    if ($user['id']!==$pod['komu_id'] && $user['id']!=='1'){
			
			
			   echo '<div class="err">У Вас нет прав для данного действия</div>';
			
			   }else{
			
			if (isset($_POST['submit'])){
			
			$rn = mysql_real_escape_string($_GET['rn']);
			
			$k = intval($_POST['chislo']);
			
			$rn2 = md5($k);
			
			if ($rn!==$rn2){
			
			echo '<div class="err"Извените, но Вы ввели не верное число</div>';
			
			echo '<a href="/pod/del.php?id='.$id.'">Попробовать ещё раз</a><br/>';
			
			}else{
			
			msg('Подарок успешно удален');
			
			mysql_query("DELETE FROM `pod_in` WHERE `id` = '".$id."' LIMIT 1");
			
			}
			
			}else{
			
			 $rnd = rand(1111,9999);
			
			 $rn = md5($rnd);
			
			  echo 'Чтобы удалить подарок, пожалуйста, введите цифры: <b>'.$rnd.'</b><br/>';
			
			echo '<form action="/pod/del.php?id='.$id.'&rn='.$rn.'" method="post">';
			
			echo '<input type="text" name="chislo" value=""/><br/>';
			
			echo '<input type="submit" name="submit" value="Удалить"/>';
			
			}
			
		    }
		
		
		echo '</div>';
		
		echo '<div class="foot">';

        echo '<img src="/style/icons/back.png" alt="."/> <a href="/pod/?id='.$pod['komu_id'].'">К подаркам</a><br/>';

        echo '</div>';


include_once '../sys/inc/tfoot.php';
?>